SDL Library Documentation
Prev |  | Next

# SDL_SemPost

## Name

SDL_SemPost -- Unlock a semaphore.

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``int SDL_SemPost`(SDL_sem *sem);`

## Description

`SDL_SemPost` unlocks the semaphore pointed to by `sem` and atomically increments the semaphores value. Threads that were blocking on the semaphore may be scheduled after this call succeeds.

`SDL_SemPost` should be called after a semaphore is locked by a successful call to SDL_SemWait, SDL_SemTryWait or SDL_SemWaitTimeout.

## Return Value

Returns 0 if successful or -1 if there was an error (leaving the semaphore unchanged).

## Examples

    SDL_SemPost(my_sem);

## See Also

`SDL_CreateSemaphore`, `SDL_DestroySemaphore`, `SDL_SemWait`, `SDL_SemTryWait`, `SDL_SemWaitTimeout`, `SDL_SemValue`

Prev | Home | Next
SDL_SemWaitTimeout | Up | SDL_SemValue